import request from '@/utils/request'

// 查询邀约列表
export function listInvitation(query) {
  return request({
    url: '/zs/invitation/list',
    method: 'get',
    params: query
  })
}

// 查询邀约详细
export function getInvitation(invitationId) {
  return request({
    url: '/zs/invitation/' + invitationId,
    method: 'get'
  })
}

// 查询邀约详细
export function getInvitationByClue(query) {
  return request({
    url: '/zs/invitation/clue',
    method: 'get',
    params: query
  })
}

// 新增邀约
export function addInvitation(data) {
  return request({
    url: '/zs/invitation',
    method: 'post',
    data: data
  })
}

// 修改邀约
export function updateInvitation(data) {
  return request({
    url: '/zs/invitation',
    method: 'put',
    data: data
  })
}

// 删除邀约
export function delInvitation(invitationId) {
  return request({
    url: '/zs/invitation/' + invitationId,
    method: 'delete'
  })
}
